cURL
curl --request PATCH \ --url https://api.unisaldos.com/v1/transactions/{transaction_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "conciliated": true, "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "comment": "<string>", "internal": true, "attached_file_ids_to_remove": [] } '
200
Example
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "amount": 123, "type": "income", "state": "pending", "conciliated": true, "transaction_date": "2023-11-07T05:31:56Z", "reference_number": "<string>", "internal": true, "created_at": "2023-11-07T05:31:56Z", "description": "<string>", "counterparty_account_number": "<string>", "counterparty_bank": "<string>", "comment": "<string>", "category": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "icon": "<string>", "category_color": "<string>" }, "attached_files_count": 0 }
Permiso requerido: integrations:v1:transactions:update.
integrations:v1:transactions:update
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Successful Response
income
out
pending
completed
Show child attributes